org.appng.api

## Enum VHostMode

- java.lang.Object
- - java.lang.Enum<VHostMode>
  - - org.appng.api.VHostMode

- All Implemented Interfaces:
    Serializable, Comparable<VHostMode>

      public enum VHostMode
      extends Enum<VHostMode>

  Enum type for the host-configuration of appNG.
  Author:
    Matthias Herlitzius

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IP_BASED` IP-based host-configuration
    `NAME_BASED` name-based host-configuration

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VHostMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static VHostMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IP_BASED

          public static final VHostMode IP_BASED

      IP-based host-configuration

    - #### NAME_BASED

          public static final VHostMode NAME_BASED

      name-based host-configuration

  - ### Method Detail

    - #### values

          public static VHostMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VHostMode c : VHostMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VHostMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2011–2023 aiticon GmbH. All rights reserved.